pw_protocol_marshal Struct Reference
Implementation API » Protocol

## Data Fields

const char * | type
| interface type More...
uint32_t | version
| version More...
uint32_t | flags
| version More...
uint32_t | n_client_methods
| number of client methods More...
uint32_t | n_server_methods
| number of server methods More...
const void * | client_marshal
const void * | server_demarshal
const void * | server_marshal
const void * | client_demarshal

## Field Documentation

## type

const char* pw_protocol_marshal::type

interface type

## version

uint32_t pw_protocol_marshal::version

version

## flags

uint32_t pw_protocol_marshal::flags

version

## n_client_methods

uint32_t pw_protocol_marshal::n_client_methods

number of client methods

## n_server_methods

uint32_t pw_protocol_marshal::n_server_methods

number of server methods

## client_marshal

const void* pw_protocol_marshal::client_marshal

## server_demarshal

const void* pw_protocol_marshal::server_demarshal

## server_marshal

const void* pw_protocol_marshal::server_marshal

## client_demarshal

const void* pw_protocol_marshal::client_demarshal

The documentation for this struct was generated from the following file:

- pipewire/protocol.h